export declare class DataChannel {
    ondata?: (data: string | ArrayBuffer | ArrayBufferView | Blob) => void;
    channel_type: "DataChannel";
    send: {
        (data: string): void;
        (data: Blob): void;
        (data: ArrayBuffer): void;
        (data: ArrayBufferView): void;
    };
    constructor();
    ready(): Promise<void>;
    private readyCallbacks;
    private isReady;
    _setReady(): void;
}
export declare class MediaChannel {
    channel_type: "MediaChannel";
    ontrack?: (event: {
        track: MediaStreamTrack;
    }) => void;
    track: MediaStreamTrack | undefined;
    constructor(track?: MediaStreamTrack);
}
export type Channel = DataChannel | MediaChannel;
//# sourceMappingURL=channel.d.ts.map